MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023136Open CASCADE[OCCT] OCCT:DRAWpublic2012-05-05 11:002019-12-13 21:56
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023136: Increase visibility of DRAW samples
DescriptionCurrently OCCT contains a few samples for using its functionality from DRAW collected in src/DrawResources (scripts called *Demo.tcl). Since these scripts are located in sources, they are not easily noticeable, and de-facto remain forgotten for years.

In order to make these samples visible (hence useful) I suggest they are moved to the new folder tcl in samples.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0031231verifiedbugmaster Community Samples - the command "donl" in ModelingDemo.tcl should be "donly" 
has duplicate 0022215closedvtn Open CASCADE Add Tcl scripts demonstrating DRAW capabilities to OCCT release 

-  Notes
(0020484)
abv (manager)
2012-05-05 11:44

Tcl samples moved from src/DrawResources to samples/tcl, and corrected; please review
(0020486)
dbv (developer)
2012-05-05 14:13

Dear Andrey,

I have only one remark: OCAFDemo.tcl does not load the necessary plug-ins and contains the paths to the missing files.
(0020487)
abv (manager)
2012-05-05 14:50

I have removed OCAFDemo.tcl as it has little sense, especially without data files. Please re-check the branch
(0020488)
dbv (developer)
2012-05-05 14:55

Reviewed without remarks.
(0020554)
apn (administrator)
2012-05-18 14:38

Dear BugMaster,
        Workbench KAS:dev:apn-23136-occt was created from git branch CR23136.
File /dn47/KAS/dev/apn-23136-occt/src/DrawResources/FILES was changed (deleted necessary .tcl) and committed to branch.
        Tcl files in folder /samples/tcl were successfully launched and tested.

- Related Changesets
occt: master 03392dd2
Timestamp: 2012-05-18 11:05:29
Author: abv
Committer: abv
Details ] Diff ]
0023136: Increase visibility of DRAW samples

Tcl samples moved from src/DrawResources to samples/tcl.
Scripts VisualisationDemo.tcl and ModelingDemo.tcl fixed to work on Windows.
File wing.brep moved from src/DrawResources to data/occ, and DataExchangeDemo.tcl corrected.
OCAFDemo.tcl removed, as it has little sense and referred data files are lost
Added sample Tcl script creating a model defined on the 'Open CASCADE challenge' web page
add - samples/tcl/challenge.tcl Diff ] File ]
add - samples/tcl/Readme.txt Diff ] File ]
rm - src/DrawResources/demo Diff ] File ]
rm - src/DrawResources/demo.bat Diff ] File ]
rm - src/DrawResources/demo.tcl Diff ] File ]
rm - src/DrawResources/OCAFDemo.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-05-05 11:00 abv New Issue
2012-05-05 11:00 abv Assigned To => mkv
2012-05-05 11:00 abv Assigned To mkv => abv
2012-05-05 11:00 abv Status new => assigned
2012-05-05 11:44 abv Note Added: 0020484
2012-05-05 11:44 abv Assigned To abv => dbv
2012-05-05 11:44 abv Status assigned => resolved
2012-05-05 14:13 dbv Note Added: 0020486
2012-05-05 14:13 dbv Assigned To dbv => abv
2012-05-05 14:13 dbv Status resolved => assigned
2012-05-05 14:50 abv Note Added: 0020487
2012-05-05 14:50 abv Assigned To abv => dbv
2012-05-05 14:50 abv Status assigned => resolved
2012-05-05 14:55 dbv Note Added: 0020488
2012-05-05 14:55 dbv Assigned To dbv => abv
2012-05-05 14:55 dbv Status resolved => reviewed
2012-05-18 14:38 apn Note Added: 0020554
2012-05-18 14:39 apn Test case number => Not needed
2012-05-18 14:39 apn Assigned To abv => bugmaster
2012-05-18 14:39 apn Status reviewed => tested
2012-05-21 12:19 abv Changeset attached => occt master 03392dd2
2012-05-21 12:19 abv Assigned To bugmaster => abv
2012-05-21 12:19 abv Status tested => verified
2012-05-21 12:19 abv Resolution open => fixed
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:16 bugmaster Status verified => closed
2015-01-28 16:49 abv Relationship added has duplicate 0022215
2019-12-13 21:56 kgv Relationship added parent of 0031231


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker